#version 430

layout (location=2) uniform float glowpow=1.5;
uniform sampler2D input_tex;
in vec2 texcoord;
layout(location = 0) out vec4 out0;

void main(void) {
   out0 = pow(texture(input_tex,texcoord),vec4(glowpow));
}